aboutsummaryrefslogtreecommitdiffstats
path: root/deployments
diff options
context:
space:
mode:
authorVictor Morales <victor.morales@intel.com>2018-09-06 08:11:19 -0700
committerVictor Morales <victor.morales@intel.com>2018-09-06 08:11:19 -0700
commit5b6f0c4efbfdc0c9bcb440c8da132bdaee4e518d (patch)
treee539318c16635fd0577714a96f2b34a194393040 /deployments
parentf1421fca0034e77bf213dbcc4b96ee655cc29936 (diff)
Improve compilation process
The current architecture offers the possibility to add more plugins and extend the its functionality. This flexibility has to be supported during the compilation process. This change modify the Makefile to find plugins and compile them. It also adds a start.sh script which allows to run MultiCloud services without the need of packaging their binaries in a container. Change-Id: I9271c51daa4fd9156717e37f1818886c72e36c27 Signed-off-by: Victor Morales <victor.morales@intel.com> Issue-ID: MULTICLOUD-301
Diffstat (limited to 'deployments')
-rwxr-xr-xdeployments/build.sh15
-rwxr-xr-xdeployments/start.sh32
2 files changed, 41 insertions, 6 deletions
diff --git a/deployments/build.sh b/deployments/build.sh
index a88ebbc7..3a6ea856 100755
--- a/deployments/build.sh
+++ b/deployments/build.sh
@@ -18,12 +18,15 @@ pushd $k8s_path/src/k8splugin/
make
popd
-pushd $k8s_path/deployments
-for file in k8plugin *so; do
- rm -f $file
- mv $k8s_path/src/k8splugin/$file .
-done
+rm -f k8plugin *so
+mv $k8s_path/src/k8splugin/k8plugin .
+mv $k8s_path/src/k8splugin/plugins/*.so .
+
+echo "Cleaning previous execution"
+docker-compose kill
+image=$(grep "image.*k8plugin" docker-compose.yml)
+docker images ${image#*:} -q | xargs docker rmi -f
+docker ps -a --filter "status=exited" -q | xargs docker rm
echo "Starting docker building process"
docker-compose build --no-cache
-popd
diff --git a/deployments/start.sh b/deployments/start.sh
new file mode 100755
index 00000000..0a14fc35
--- /dev/null
+++ b/deployments/start.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2018 Intel Corporation
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+set -o nounset
+set -o pipefail
+
+k8s_path="$(git rev-parse --show-toplevel)"
+export GOPATH=$k8s_path
+
+export CSAR_DIR=/opt/csar
+export KUBE_CONFIG_DIR=/opt/kubeconfig
+export DATABASE_TYPE=consul
+export DATABASE_IP=consul-svr
+export PLUGINS_DIR=$k8s_path/src/k8splugin/plugins
+
+echo "Starting consul services"
+docker-compose kill
+docker-compose up -d consul
+echo "Compiling source code"
+
+pushd $k8s_path/src/k8splugin/
+make clean
+make plugins
+go run cmd/main.go
+popd